Bug 480242 - Anaconda kickstart install ignores --bootloader option
Anaconda kickstart install ignores --bootloader option
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
: 483097 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 16:04 EST by Keith Roberts
Modified: 2009-06-18 14:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 14:19:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Roberts 2009-01-15 16:04:41 EST
Description of problem:

Running Anaconda with 'interactive' mode from ks=http://myserver/ks.cfg, anaconda ignores the bootloader setting:

# Don't install any bootloader - use the existing one.
bootloader --location=none

The Use GRUB Bootloader option is still checked.
Comment 1 Chris Lumens 2009-01-29 12:49:28 EST
*** Bug 483097 has been marked as a duplicate of this bug. ***
Comment 2 Chris Lumens 2009-03-17 11:14:45 EDT
Is this still the case with rawhide?  We've made a lot of changes around partitioning and booting recently and it's worth verifying the status of this bug there.
Comment 3 Keith Roberts 2009-04-12 13:41:40 EDT
Cannot verify that yet, as I don't use rawhide ATM :)
Comment 4 Chris Lumens 2009-04-28 12:05:04 EDT
Okay, well at least give F11 a test (though at that point, it'll be too late to do anything about it).  As well as all the partitioning work mentioned earlier, we pulled booty (the thing that writes bootloader configs) back into anaconda and did a good bit of work adapting it to the new storage code.  So, there's plenty of changed parts here.

Note You need to log in before you can comment on or make changes to this bug.